Mises à jour RBS Change : BUG après mise à jours serveur

  • 50951.1

    31/01/2012 10:16


    flyonne
    Rang : Adepte
    Bonjour, après une mise à jour du serveur Change plante

    extrait /var/apt history.log
    Start-Date: 2012-01-31  09:22:42
    Upgrade: php5-xsl:amd64 (5.3.3-7+squeeze3, 5.3.3-7+squeeze5), php5:amd64 (5.3.3-7+squeeze3, 5.3.3-7+squeeze5), libapache2-mod-php5:amd64 (5.3.3-7+squeeze3, 5.3.3-7+squeeze5), php5-gd:amd64 (5.3.3-7+squeeze3, 5.3.3-7+squeeze5), php5-curl:amd64 (5.3.3-7+squeeze3, 5.3.3-7+squeeze5), libcurl3:amd64 (7.21.0-2, 7.21.0-2.1+squeeze1), curl:amd64 (7.21.0-2, 7.21.0-2.1+squeeze1), php5-mcrypt:amd64 (5.3.3-7+squeeze3, 5.3.3-7+squeeze5), php5-mysql:amd64 (5.3.3-7+squeeze3, 5.3.3-7+squeeze5), libcurl3-gnutls:amd64 (7.21.0-2, 7.21.0-2.1+squeeze1), php5-cli:amd64 (5.3.3-7+squeeze3, 5.3.3-7+squeeze5), php5-common:amd64 (5.3.3-7+squeeze3, 5.3.3-7+squeeze5)
    End-Date: 2012-01-31  09:23:12


    Message change FO + BO (je n'est que la barre d'icone et les menus)
    Fatal error: Call to a member function getElementsByTagName() on a non-object in /var/ssl/repository/modules/website/website-3.5.3/lib/services/PageService.class.php on line 1780


    Que faire ?

    développeur web Amateur et passioné, WebMestre du site http://www.opalys-fleurs.com/

  • 50951.2

    31/01/2012 11:18


    Jean-Michel
    Titre : Community Manager
    Rang : Expert
    Bonjour,

    Avez vous bien redémarré votre serveur Apache suite à la mise à jour? Avez vous contrôlé que la mise à jour n'a pas modifié certaines options de configuration du fichier php.ini pour le mode Apache (pour les valeurs recommandées cf environnement PHP).

    Une fois que vous avez fait ces vérifications, vous pouvez exécuter les commandes :
    - php framework/bin/change.php disable-site
    - php framework/bin/change.php clear-all
    - php framework/bin/change.php compile-all
    - php framework/bin/change.php enable-site

    Dans un premier temps voici les différentes vérifications et opérations que je vous conseille.

    Édité par Gaël Port 31/01/2012 11:38


    Pour une meilleure réponse, pensez à indiquer la version sur laquelle vous rencontrez des difficultés, ainsi que son type (CMS ou eCommerce core).
    Pour tout problème d'installation indiquez le nom de l'hébergeur et s'il s'agit d'un serveur mutualisé ou dédié.
  • 50951.3 en réponse à 50951.2 écrit par Jean-Michel

    31/01/2012 19:33


    flyonne
    Rang : Adepte
    J'ai fait comme vous avez dit mais rien ne change ???

    En regardant dans phperror.log il y a
    transformToDoc(): Can't set libxslt security properties, not doing transformation for security reasons in file (/var/ssl/repository/modules/website/website-3.5.3/lib/services/PageRessourceService.class.php)

    Édité par flyonne 31/01/2012 21:31


    développeur web Amateur et passioné, WebMestre du site http://www.opalys-fleurs.com/

  • 50951.4 en réponse à 50951.3 écrit par flyonne

    01/02/2012 10:03


    Franck Stauffer
    Titre : Responsable produit
    Rang : Expert
    Bonjour

    Quelle distribution Linux utilisez-vous ?Quelle version de PHP utilisez-vous ? La librairie libxml ou le moteur PHP ont-ils été mis à jour ? pouvez vous définir

    xsl.security_prefs = XSL_SECPREFS_NONE

    dans votre php.ini puis redémarrer apache ? Si ça ne règle rien, je vous suggère de remonter un bug sur votre distribution Linux car le problème vient fort probablement de leur côté.
  • 50951.5 en réponse à 50951.3 écrit par flyonne

    01/02/2012 10:19


    Jean-Michel
    Titre : Community Manager
    Rang : Expert
    Après une rapide recherche sur Google, il semble que vous ne soyez pas le seul à souffrir de ce problème de mise à jour de Debian.
    Apparemment la mise à jour de l'extension libxml de 2.7.7 à 2.7.8 suffit à régler le problème (source de l'information)

    Pour une meilleure réponse, pensez à indiquer la version sur laquelle vous rencontrez des difficultés, ainsi que son type (CMS ou eCommerce core).
    Pour tout problème d'installation indiquez le nom de l'hébergeur et s'il s'agit d'un serveur mutualisé ou dédié.
  • 50951.6 en réponse à 50951.5 écrit par Jean-Michel

    01/02/2012 14:52


    flyonne
    Rang : Adepte
    Merci pour l'info chez debian ils ont corrigé le bug dans la nuit, un petit coup d'aptitude et tout est rentré dans l'ordre.

    Édité par flyonne 02/03/2012 19:57


    développeur web Amateur et passioné, WebMestre du site http://www.opalys-fleurs.com/

 
Merci de prendre connaissance et de respecter les règles des forums.
 
1436 membres
Aucun membre connecté